/*
 * Copyright (c) 1998 The Santa Cruz Operation, Inc.. All Rights Reserved. 
 *                                                                         
 *        THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF THE               
 *                   SANTA CRUZ OPERATION INC.                             
 *                                                                         
 *   The copyright notice above does not evidence any actual or intended   
 *   publication of such source code.                                      
 */

#ifndef _SCHED_H
#define _SCHED_H
#ident	"@(#)sgs-head:common/head/sched.h	1.2"

#include <sys/types.h>

/*
 * __sched_param structure in sys/types.h maps to sched_param 
 * shown below when including this header file.
 * 
 * struct sched_param {
 * 	int			sched_priority;
 * 	union __sched_union	__sched_other_stuff;
 * 	};
 */
#define sched_param		__sched_param
#define sched_priority		__sched_priority


/*
 * Scheduling policies supported by the library threads.
 */

#define SCHED_UNKNOWN           0       /* Unknown Policy */
#define SCHED_TS                1       /* Time-Sharing */
#define SCHED_OTHER             1       /* Alias for SCHED_TS */
#define SCHED_FIFO              2       /* First-In-First-Out */
#define SCHED_RR                3       /* Round-Robin */

#ifdef __cplusplus
extern "C" {
#endif

int	sched_yield(void);

#ifdef __cplusplus
}
#endif

#endif /*_SCHED_H*/
